clang 8.0.0

Classes | Namespaces | Enumerations
CheckerManager.h File Reference
`#include "clang/Analysis/ProgramPoint.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramState_Fwd.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/Store.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <vector>`
Include dependency graph for CheckerManager.h:

Go to the source code of this file.

## Classes
class | clang::ento::CheckerFn< T >
class | clang::ento::CheckerFn< RET(Ps...)>
class | clang::ento::CheckName
class | clang::ento::CheckerManager

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::ento

## Enumerations
enum | clang::ento::PointerEscapeKind { clang::ento::PSK_EscapeOnBind, clang::ento::PSK_DirectEscapeOnCall, clang::ento::PSK_IndirectEscapeOnCall, clang::ento::PSK_EscapeOther }
| Describes the different reasons a pointer escapes during analysis. More...
enum | clang::ento::ObjCMessageVisitKind { clang::ento::ObjCMessageVisitKind::Pre, clang::ento::ObjCMessageVisitKind::Post, clang::ento::ObjCMessageVisitKind::MessageNil }